#!/bin/bash

directory_prefix=""

# 
sata_list="/sata*"
sata_array=(${sata_list})
disk_number=${#sata_array[@]}
echo "total disk number ${disk_number}"

# 
directory_number=${disk_number}
if [[ -n $1 ]]; then
  directory_number=$1
fi
echo "total directory number ${directory_number}"

# 
disk_config_file="/etc/pear/pear_monitor/dev.conf"
disk_config_content=""
for i in $(seq 1 $directory_number); do
  path="${sata_array[$((($i - 1) % $disk_number))]}/${directory_prefix}$i"
  if [[ -z ${disk_config_content} ]]; then
    disk_config_content="${path}"
  else
    disk_config_content="${disk_config_content},${path}"
  fi
  mkdir -p ${path}
done
echo "${disk_config_content}" > ${disk_config_file}

# 
mac_config_file="/etc/pear/pear_monitor/mac.conf"
/usr/sbin/pear_monitor --auto_mac=${directory_number}

# 
nic_config_file="/etc/pear/pear_monitor/nic.conf"
/usr/sbin/pear_monitor --auto_nic=ppp,0,${directory_number}

# 
platform="PEAR_2605_X64_LINUX"
platform_config_file="/etc/pear/pear_docker/docker_platform.conf"
for i in $(seq 1 ${directory_number}); do
  if [[ -z ${platform_config_content} ]]; then
    platform_config_content="${platform}"
  else
    platform_config_content="${platform_config_content},${platform}"
  fi
done
echo "${platform_config_content}" > ${platform_config_file}


